### Get Login Attempts of the Current User

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

#### API Endpoint

```
GET /v2.0/users/me/loginattempts
```

#### Example cURL Request

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/users/me/loginattempts \
  --header 'X-API-Key: <api-key>'
```

#### Python Example

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/users/me/loginattempts"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

#### JavaScript Fetch Example

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/users/me/loginattempts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP cURL Example

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/users/me/loginattempts",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",  
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go Example

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/users/me/loginattempts"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### API Response

**Success (200)**

```json
{
  "items": [
    {
      "timestamp": 123,
      "location": "<string>"
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

#### Error Response Examples

- **Bad Request (400)**

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

- **Unauthorized (401)**

```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### Required Headers

- `X-API-Key`: Supply the API Key in the HTTP Header

#### Query Parameters

- `filter (string)`: The status or location to filter the login attempts
- `limit (integer)`: The maximum number of items to return (default 25, max 100)
- `skip (integer)`: The number of items to skip (default 0)
- `sort (string)`: The order in which results are returned
- `next (string)`: The cursor for the next page
- `previous (string)`: The cursor for the previous page.

**Last modified on July 8, 2026**
